"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  install: true,
  setTheme: true,
  getTheme: true,
  setConfig: true,
  getConfig: true,
  setIcon: true,
  getIcon: true,
  setLanguage: true,
  setI18n: true,
  getI18n: true,
  globalEvents: true,
  globalResize: true,
  renderer: true,
  validators: true,
  menus: true,
  formats: true,
  commands: true,
  interceptor: true,
  clipboard: true,
  log: true,
  hooks: true,
  use: true,
  setup: true,
  config: true,
  t: true,
  _t: true,
  VxeUI: true
};
Object.defineProperty(exports, "VxeUI", {
  enumerable: true,
  get: function () {
    return _vxePcUi.VxeUI;
  }
});
exports.hooks = exports.globalResize = exports.globalEvents = exports.getTheme = exports.getIcon = exports.getI18n = exports.getConfig = exports.formats = exports.config = exports.commands = exports.clipboard = exports._t = void 0;
exports.install = install;
exports.validators = exports.use = exports.t = exports.setup = exports.setTheme = exports.setLanguage = exports.setIcon = exports.setI18n = exports.setConfig = exports.renderer = exports.menus = exports.log = exports.interceptor = void 0;
var _vxePcUi = require("vxe-pc-ui");
var _column = require("./column");
Object.keys(_column).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _column[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _column[key];
    }
  });
});
var _colgroup = require("./colgroup");
Object.keys(_colgroup).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _colgroup[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _colgroup[key];
    }
  });
});
var _grid = require("./grid");
Object.keys(_grid).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _grid[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _grid[key];
    }
  });
});
var _table = require("./table");
Object.keys(_table).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _table[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _table[key];
    }
  });
});
var _toolbar = require("./toolbar");
Object.keys(_toolbar).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _toolbar[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _toolbar[key];
    }
  });
});
const components = [_column.VxeColumn, _colgroup.VxeColgroup, _grid.VxeGrid, _table.VxeTable, _toolbar.VxeToolbar];
// 默认安装
function install(app, options) {
  _vxePcUi.VxeUI.setConfig(options);
  components.forEach(component => component.install(app));
}
const setTheme = exports.setTheme = _vxePcUi.VxeUI.setTheme;
const getTheme = exports.getTheme = _vxePcUi.VxeUI.getTheme;
const setConfig = exports.setConfig = _vxePcUi.VxeUI.setConfig;
const getConfig = exports.getConfig = _vxePcUi.VxeUI.getConfig;
const setIcon = exports.setIcon = _vxePcUi.VxeUI.setIcon;
const getIcon = exports.getIcon = _vxePcUi.VxeUI.getIcon;
const setLanguage = exports.setLanguage = _vxePcUi.VxeUI.setLanguage;
const setI18n = exports.setI18n = _vxePcUi.VxeUI.setI18n;
const getI18n = exports.getI18n = _vxePcUi.VxeUI.getI18n;
const globalEvents = exports.globalEvents = _vxePcUi.VxeUI.globalEvents;
const globalResize = exports.globalResize = _vxePcUi.VxeUI.globalResize;
const renderer = exports.renderer = _vxePcUi.VxeUI.renderer;
const validators = exports.validators = _vxePcUi.VxeUI.validators;
const menus = exports.menus = _vxePcUi.VxeUI.menus;
const formats = exports.formats = _vxePcUi.VxeUI.formats;
const commands = exports.commands = _vxePcUi.VxeUI.commands;
const interceptor = exports.interceptor = _vxePcUi.VxeUI.interceptor;
const clipboard = exports.clipboard = _vxePcUi.VxeUI.clipboard;
const log = exports.log = _vxePcUi.VxeUI.log;
const hooks = exports.hooks = _vxePcUi.VxeUI.hooks;
const use = exports.use = _vxePcUi.VxeUI.use;
/**
 * 已废弃
 * @deprecated
 */
const setup = exports.setup = _vxePcUi.VxeUI.setup;
/**
 * 已废弃
 * @deprecated
 */
const config = exports.config = _vxePcUi.VxeUI.config;
/**
 * 已废弃
 * @deprecated
 */
const t = exports.t = _vxePcUi.VxeUI.t;
/**
 * 已废弃
 * @deprecated
 */
const _t = exports._t = _vxePcUi.VxeUI._t;
// Components